Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class PropertyAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.exception.NestableRuntimeException
                      org.hibernate.HibernateException
                          org.hibernate.PropertyAccessException

All Implemented Interfaces:
  Serializable, Nestable

    public class PropertyAccessException

extends HibernateException

A problem occurred accessing a property of an instance of a persistent class by reflection, or via CGLIB. There are a number of possible underlying causes, including

- failure of a security check
- an exception occurring inside the getter or setter method
- a nullable database column was mapped to a primitive-type property
- the Hibernate type was not castable to the property type (or vice-versa)

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.exception.NestableRuntimeException
`delegate`

Constructor Summary
`PropertyAccessException(Throwable root, String s, boolean wasSetter, Class persistentClass, String propertyName)`

Method Summary
`String` | `getMessage()` Returns the detail message string of this throwable.
`Class` | `getPersistentClass()`
`String` | `getPropertyName()`

Methods inherited from class org.hibernate.exception.NestableRuntimeException
`getCause, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyAccessException

    public PropertyAccessException(Throwable root,
                                   String s,
                                   boolean wasSetter,
                                   Class persistentClass,
                                   String propertyName)

Method Detail

### getPersistentClass

    public Class getPersistentClass()

### getPropertyName

    public String getPropertyName()

### getMessage

    public String getMessage()

  Description copied from class: `NestableRuntimeException`
  Returns the detail message string of this throwable. If it was created with a null message, returns the following: ( cause==null ? null : cause.toString( ).

  Specified by:
    `getMessage` in interface `Nestable`
  Overrides:
    `getMessage` in class `NestableRuntimeException`
  Returns:
    the error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD